跳转到主要内容
POST
/
admin
/
setting
/
test-llm
cURL
curl --request POST \
  --url https://app.teable.ai/api/admin/setting/test-llm \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"type":"openai","name":"string","apiKey":"string","baseUrl":"http://example.com","models":"","modelKey":"string","ability":["image"],"testImageGeneration":true,"testImageToImage":true}'
{
  "success": true,
  "response": "<string>",
  "ability": {
    "image": true,
    "pdf": true,
    "webSearch": true,
    "toolCall": true,
    "reasoning": true,
    "imageGeneration": true
  }
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
type
enum<string>
必填
可用选项:
openai,
anthropic,
google,
azure,
cohere,
mistral,
deepseek,
qwen,
zhipu,
lingyiwanwu,
xai,
togetherai,
ollama,
amazonBedrock,
openRouter,
openaiCompatible,
aiGateway
name
string
必填
apiKey
string
必填
baseUrl
string<uri>
必填
models
string
默认值:""
modelKey
string
ability
enum<string>[]
可用选项:
image,
pdf,
webSearch,
toolCall,
reasoning,
imageGeneration
testImageGeneration
boolean
testImageToImage
boolean

响应

200 - application/json

Test result

success
boolean
必填
response
string
ability
object
Last modified on March 5, 2026